package com.tzld.piaoquan.growth.common.common.enums;

import java.util.Objects;

public enum StrategyStatusEnum {

    DEFAULT(0, "保底视频"),
    STRATEGY(1, "策略视频"),
    MIXED_STRATEGY(2,"混合策略");

    StrategyStatusEnum(Integer status, String name) {
        this.status = status;
        this.name = name;
    }

    public final Integer status;

    public final String name;


    public static String getStrategyStatusName(Integer status) {
        if (status == null) {
            return null;
        }
        for (StrategyStatusEnum strategyStatusEnum : StrategyStatusEnum.values()) {
            if (Objects.equals(strategyStatusEnum.status, status)) {
                return strategyStatusEnum.name;
            }
        }
        return null;
    }

}
